Merge pull request #1301 from antmicro/licensing

Updating copyright headers to match current best practices
This commit is contained in:
Tim Ansell 2020-05-26 09:01:50 -07:00 committed by GitHub
commit 1f41082937
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
732 changed files with 7400 additions and 24 deletions

66
.github/check_license.sh vendored Executable file
View File

@ -0,0 +1,66 @@
#!/usr/bin/env bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
echo
echo "==========================="
echo "Check SPDX identifier"
echo "==========================="
echo
ERROR_FILES=""
FILES_TO_CHECK=`find . \
-size +0 -type f \( -name '*.sh' -o -name '*.py' -o -name 'Makefile' -o -name '*.tcl' \) \
\( -not -path "*/.*/*" -not -path "*/third_party/*" -not -path "*/database/*" -not -path "*/env/*" -not -path "*/build/*" \)`
for file in $FILES_TO_CHECK; do
echo "Checking $file"
grep -q "SPDX-License-Identifier" $file || ERROR_FILES="$ERROR_FILES $file"
done
if [ ! -z "$ERROR_FILES" ]; then
for file in $ERROR_FILES; do
echo "ERROR: $file does not have license information."
done
exit 1
fi
echo
echo "==========================="
echo "Check third party LICENSE"
echo "==========================="
echo
function check_if_submodule {
for submodule in `git submodule --quiet foreach 'echo $sm_path'`; do
if [ "$1" == "$submodule" ]; then
return 1
fi
done
}
THIRD_PARTY_DIRS=""
if [[ -e third_party ]]; then
THIRD_PARTY_DIRS=`ls third_party --ignore=reformat.tcl --ignore cctz --ignore gflags --ignore yosys `
fi
ERROR_NO_LICENSE=""
for dir in $THIRD_PARTY_DIRS; do
# Checks if we are not in a submodule
if check_if_submodule $dir; then
echo "Checking third_party/$dir"
[ -f third_party/$dir/LICENSE ] || ERROR_NO_LICENSE="$ERROR_NO_LICENSE $dir"
fi
done
if [ ! -z "$ERROR_NO_LICENSE" ]; then
for dir in $ERROR_NO_LICENSE; do
echo "ERROR: $dir does not have the LICENSE file."
done
exit 1
fi

45
.github/check_python_scripts.sh vendored Executable file
View File

@ -0,0 +1,45 @@
#!/usr/bin/env bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
echo
echo "==================================="
echo "Check Python UTF coding and shebang"
echo "==================================="
echo
ERROR_FILES_SHEBANG=""
ERROR_FILES_UTF_CODING=""
FILES_TO_CHECK=`find . \
-size +0 -type f \( -name '*.py' \) \
\( -not -path "*/.*/*" -not -path "*/third_party/*" -not -path "*/env/*" \)`
for file in $FILES_TO_CHECK; do
echo "Checking $file"
if [[ -x $file ]]; then
grep -q "\#\!/usr/bin/env python3" $file || ERROR_FILES_SHEBANG="$ERROR_FILES_SHEBANG $file"
fi
grep -q "\#.*coding: utf-8" $file || ERROR_FILES_UTF_CODING="$ERROR_FILES_UTF_CODING $file"
done
if [ ! -z "$ERROR_FILES_SHEBANG" ]; then
for file in $ERROR_FILES_SHEBANG; do
echo "ERROR: $file does not have the python3 shebang."
done
exit 1
fi
if [ ! -z "$ERROR_FILES_UTF_CODING" ]; then
for file in $ERROR_FILES_UTF_CODING; do
echo "ERROR: $file does not have the UTF encoding set."
echo "Add # coding: utf-8"
done
exit 1
fi
echo

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
set -e set -e

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
set -e set -e

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
db_full = """\ db_full = """\
# Format: //devtools/kokoro/config/proto/build.proto # Format: //devtools/kokoro/config/proto/build.proto

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
set -e set -e

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
set -e set -e

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
set -e set -e

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
set -e set -e

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
# Fix up things related to Xilinx tool chain. # Fix up things related to Xilinx tool chain.

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
set -e set -e

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
# Header # Header
contrib = ["""\ contrib = ["""\

View File

@ -32,3 +32,8 @@ jobs:
script: script:
- make format - make format
- test $(git status --porcelain | wc -l) -eq 0 || { git diff; false; } - test $(git status --porcelain | wc -l) -eq 0 || { git diff; false; }
- name: "License Checks"
script:
- ./.github/check_license.sh
- ./.github/check_python_scripts.sh

20
AUTHORS Normal file
View File

@ -0,0 +1,20 @@
# This is the list of Project X-Ray's significant contributors.
#
# This does not necessarily list everyone who has contributed code,
# especially since many employees of one corporation may be contributing.
# To see the full list of contributors, see the revision history in
# source control.
Antmicro
Google LLC
Claire Wolf
Rick Altherr
Jake Mercer
Mehdi Khairy
Davide
Herbert Poetzl
Mitja Kleider
Oguz Meteer
David Shah
Felix Held
Leonardo Romor
Paul Schulz

View File

@ -1,4 +1,4 @@
Copyright (C) 2017 The Project X-Ray Authors. All rights reserved. Copyright (C) 2017-2020 The Project X-Ray Authors.
Permission to use, copy, modify, and/or distribute this software for any Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above purpose with or without fee is hereby granted, provided that the above

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
SHELL = bash SHELL = bash
ALL_EXCLUDE = third_party .git env build docs/env ALL_EXCLUDE = third_party .git env build docs/env
@ -118,6 +125,12 @@ format: format-cpp format-docs format-py format-tcl format-trailing-ws
.PHONY: format format-cpp format-py format-tcl format-trailing-ws .PHONY: format format-cpp format-py format-tcl format-trailing-ws
check-license:
@./.github/check_license.sh
@./.github/check_python_scripts.sh
.PHONY: check-license
# Targets related to Project X-Ray databases # Targets related to Project X-Ray databases
# ------------------------ # ------------------------

7
database/Makefile generated
View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
DATABASE_FILES = *.csv *.db *.json *.yaml *.fasm DATABASE_FILES = *.csv *.db *.json *.yaml *.fasm
TIMINGS_FILES = *.sdf TIMINGS_FILES = *.sdf
PART_DIRECTORIES = xc7*/ PART_DIRECTORIES = xc7*/

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
# Minimal makefile for Sphinx documentation # Minimal makefile for Sphinx documentation
# #

View File

@ -1,4 +1,11 @@
# -*- coding: utf-8 -*- # -*- coding: utf-8 -*-
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
# #
# Project X-Ray documentation build configuration file, created by # Project X-Ray documentation build configuration file, created by
# sphinx-quickstart on Mon Feb 5 11:04:37 2018. # sphinx-quickstart on Mon Feb 5 11:04:37 2018.

View File

@ -1,4 +1,11 @@
#!/usr/bin/env bash #!/usr/bin/env bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
GITHUB_PROTO=${1:-https} GITHUB_PROTO=${1:-https}
GITHUB_URL=$GITHUB_PROTO://github.com/SymbiFlow/prjxray-db.git GITHUB_URL=$GITHUB_PROTO://github.com/SymbiFlow/prjxray-db.git

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N := 5 N := 5
SPECIMENS := $(addprefix specimen_,$(shell seq -f '%03.0f' $(N))) SPECIMENS := $(addprefix specimen_,$(shell seq -f '%03.0f' $(N)))

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
from prjxray.segmaker import Segmaker from prjxray.segmaker import Segmaker

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source ../../utils/environment.sh source ../../utils/environment.sh
source ${XRAY_GENHEADER} source ${XRAY_GENHEADER}

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
create_project -force -part $::env(XRAY_PART) design design create_project -force -part $::env(XRAY_PART) design design
read_verilog ../top.v read_verilog ../top.v

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N := 10 N := 10
SPECIMENS := $(addprefix specimen_,$(shell seq -f '%03.0f' $(N))) SPECIMENS := $(addprefix specimen_,$(shell seq -f '%03.0f' $(N)))

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source ../../utils/environment.sh source ../../utils/environment.sh

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os, json, re import os, json, re

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
proc puts_list {l} { proc puts_list {l} {
foreach e $l {puts $e} foreach e $l {puts $e}
} }

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N := 10 N := 10
SPECIMENS := $(addprefix specimen_,$(shell seq -f '%03.0f' $(N))) SPECIMENS := $(addprefix specimen_,$(shell seq -f '%03.0f' $(N)))

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import re import re

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source ${XRAY_GENHEADER} source ${XRAY_GENHEADER}

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
create_project -force -part $::env(XRAY_PART) design design create_project -force -part $::env(XRAY_PART) design design
read_verilog ../top.v read_verilog ../top.v

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os, re import os, re

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
create_project -force -part $::env(XRAY_PART) piplist piplist create_project -force -part $::env(XRAY_PART) piplist piplist
read_verilog top.v read_verilog top.v

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N := 100 N := 100
SPECIMENS := $(addprefix specimen_,$(shell seq -f '%03.0f' $(N))) SPECIMENS := $(addprefix specimen_,$(shell seq -f '%03.0f' $(N)))

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import sys, re import sys, re

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source ${XRAY_GENHEADER} source ${XRAY_GENHEADER}

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
create_project -force -part $::env(XRAY_PART) design design create_project -force -part $::env(XRAY_PART) design design
read_verilog ../top.v read_verilog ../top.v

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os, re import os, re

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
create_project -force -part $::env(XRAY_PART) piplist piplist create_project -force -part $::env(XRAY_PART) piplist piplist
read_verilog top.v read_verilog top.v

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
MASKS=\ MASKS=\
bram \ bram \

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N := 1 N := 1
BUILD_DIR = build_${XRAY_PART} BUILD_DIR = build_${XRAY_PART}
SPECIMENS := $(addprefix $(BUILD_DIR)/specimen_,$(shell seq -f '%03.0f' $(N))) SPECIMENS := $(addprefix $(BUILD_DIR)/specimen_,$(shell seq -f '%03.0f' $(N)))

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
''' '''
Script for adding the IO Banks information to the Part's generated JSON. Script for adding the IO Banks information to the Part's generated JSON.
''' '''

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
proc extract_iobanks {filename} { proc extract_iobanks {filename} {
set fp [open $filename "w"] set fp [open $filename "w"]
foreach iobank [get_iobanks] { foreach iobank [get_iobanks] {

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
FUZDIR=$(shell pwd) FUZDIR=$(shell pwd)
BUILD_FOLDER=build_${XRAY_PART} BUILD_FOLDER=build_${XRAY_PART}
BUILD_DIR=$(FUZDIR)/$(BUILD_FOLDER) BUILD_DIR=$(FUZDIR)/$(BUILD_FOLDER)

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
from prjxray import xjson from prjxray import xjson
import json import json

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 12 N ?= 12
GENERATE_ARGS?="--oneval 1 --design params.csv --dword 2 --dframe 1B" GENERATE_ARGS?="--oneval 1 --design params.csv --dword 2 --dframe 1B"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
proc run {} { proc run {} {

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 12 N ?= 12
GENERATE_ARGS?="--oneval 1 --design params.csv --dword 0 --dframe 0" GENERATE_ARGS?="--oneval 1 --design params.csv --dword 0 --dframe 0"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
proc run {} { proc run {} {

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 15 N ?= 15
GENERATE_ARGS?="--oneval 0 --design params.csv --dword 1 --dframe 15" GENERATE_ARGS?="--oneval 0 --design params.csv --dword 1 --dframe 15"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
generate_top generate_top

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
import itertools import itertools

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 2 N ?= 2
GENERATE_ARGS?="--oneval 1 --design params.csv --dword 67 --dframe 1B --dbit 18" GENERATE_ARGS?="--oneval 1 --design params.csv --dword 67 --dframe 1B --dbit 18"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,2 +1,9 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
generate_top generate_top

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
#random.seed(int(os.getenv("SEED"), 16)) #random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 10 N ?= 10
GENERATE_ARGS?="--oneval 0 --design params.csv --dframe 15 --dword 0" GENERATE_ARGS?="--oneval 0 --design params.csv --dframe 15 --dword 0"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
generate_top generate_top

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 20 N ?= 20
GENERATE_ARGS?="--oneval 1 --design params.csv --dword 0 --dframe 0" GENERATE_ARGS?="--oneval 1 --design params.csv --dword 0 --dframe 0"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
proc run {} { proc run {} {

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 20 N ?= 20
GENERATE_ARGS?="--oneval 0 --design params.csv --dword 1 --dframe 15" GENERATE_ARGS?="--oneval 0 --design params.csv --dword 1 --dframe 15"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
proc run {} { proc run {} {

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 5 N ?= 5
GENERATE_ARGS?="--oneval 1 --design params.csv --dword 0 --dframe 1B" GENERATE_ARGS?="--oneval 1 --design params.csv --dword 0 --dframe 1B"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
generate_top generate_top

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 5 N ?= 5
GENERATE_ARGS?="--oneval 1 --design params.csv --dword 6 --dframe 1A" GENERATE_ARGS?="--oneval 1 --design params.csv --dword 6 --dframe 1A"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
generate_top generate_top

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 15 N ?= 15
GENERATE_ARGS?="--oneval 1 --design params.csv --dword 0 --dframe 1B" GENERATE_ARGS?="--oneval 1 --design params.csv --dword 0 --dframe 1B"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
generate_top generate_top

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 17 N ?= 17
GENERATE_ARGS?="--oneval 0 --design params.csv --dword 1 --dframe 15" GENERATE_ARGS?="--oneval 0 --design params.csv --dword 1 --dframe 15"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
proc run {} { proc run {} {

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
import itertools import itertools

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 20 N ?= 20
GENERATE_ARGS?="--oneval 0 --design params.csv --dword 0 --dframe 15" GENERATE_ARGS?="--oneval 0 --design params.csv --dword 0 --dframe 15"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
generate_top generate_top

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
import itertools import itertools

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
from prjxray import bitsmaker from prjxray import bitsmaker

View File

@ -1,4 +1,11 @@
#!/bin/bash #!/bin/bash
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
set -ex set -ex

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
from utils import xjson from utils import xjson

View File

@ -1,4 +1,11 @@
#!/bin/bash -x #!/bin/bash -x
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
PRJ=$2 PRJ=$2

View File

@ -1,4 +1,13 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import copy import copy
import json import json
import os import os

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(FUZDIR)/util.tcl" source "$::env(FUZDIR)/util.tcl"
proc write_tiles_txt {} { proc write_tiles_txt {} {

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 6 N ?= 6
GENERATE_ARGS?="--oneval 1 --design params.csv --dword 5 --dframe 1C" GENERATE_ARGS?="--oneval 1 --design params.csv --dword 5 --dframe 1C"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
generate_top generate_top

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 6 N ?= 6
GENERATE_ARGS?="--oneval 1 --design params.csv --dword 0 --dframe 21" GENERATE_ARGS?="--oneval 1 --design params.csv --dword 0 --dframe 21"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
generate_top generate_top

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 30 N ?= 30
GENERATE_ARGS?="--oneval 1 --design params.csv --dframe 26 --dword 1" GENERATE_ARGS?="--oneval 1 --design params.csv --dframe 26 --dword 1"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
proc make_io_pin_sites {} { proc make_io_pin_sites {} {

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
import os import os
import random import random
random.seed(int(os.getenv("SEED"), 16)) random.seed(int(os.getenv("SEED"), 16))

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
N ?= 16 N ?= 16
GENERATE_ARGS?="--oneval 0 --design params.csv --dframe 14 --dword 1" GENERATE_ARGS?="--oneval 0 --design params.csv --dframe 14 --dword 1"
include ../fuzzaddr/common.mk include ../fuzzaddr/common.mk

View File

@ -1,3 +1,10 @@
# Copyright (C) 2017-2020 The Project X-Ray Authors
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
source "$::env(XRAY_DIR)/utils/utils.tcl" source "$::env(XRAY_DIR)/utils/utils.tcl"
proc make_io_pin_sites {} { proc make_io_pin_sites {} {

View File

@ -1,3 +1,13 @@
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Copyright (C) 2017-2020 The Project X-Ray Authors.
#
# Use of this source code is governed by a ISC-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/ISC
#
# SPDX-License-Identifier: ISC
''' '''
Generate a primitive to place at every I/O Generate a primitive to place at every I/O
Unlike CLB tests, the LFSR for this is inside the ROI, not driving it Unlike CLB tests, the LFSR for this is inside the ROI, not driving it

Some files were not shown because too many files have changed in this diff Show More